const std = @import("std");

pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{});

    const lib_mod = b.addModule("date", .{
        .root_source_file = b.path("src/root.zig"),
        .target = target,
        .optimize = optimize,
    });

    const lib = b.addLibrary(.{
        .linkage = .static,
        .name = "date",
        .root_module = lib_mod,
    });

    b.installArtifact(lib);

    const lib_unit_tests = b.addTest(.{
        .root_module = lib_mod,
    });

    const run_lib_unit_tests = b.addRunArtifact(lib_unit_tests);

    const test_step = b.step("test", "Run unit tests");
    test_step.dependOn(&run_lib_unit_tests.step);

    const dep_zeit = b.dependency("zeit", .{
        .target = target,
        .optimize = optimize,
    });
    lib_mod.addImport("zeit", dep_zeit.module("zeit"));

    const dep_json = b.dependency("json", .{
        .target = target,
        .optimize = optimize,
    });
    lib_mod.addImport("json", dep_json.module("json"));
}
